=== debian/changelog ===
aquamarine (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 08 Oct 2025 18:07:26 +0800

aquamarine (0.9.4-1) unstable; urgency=medium

  [ alan (NyxTrail) ]
  * Update build dep hyprutils to v0.5.2
  * Update library soversion to 7

  [ Carl Keinath ]
  * New upstream version 0.9.4
  * prepare package for team maintaining

  [ Chow Loong Jin ]
  * Bump hyprwayland-scanner build-dep version.
    0.4.4 seems to be generating empty arrays that break compilation
  * Rename packages for soname bump (7 -> 8)
  * Bump libhyprutils-dev build-dep version
  * Update uploaders
    - Add myself
    - Add commas

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 19 Sep 2025 12:06:19 +0800

aquamarine (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Mon, 07 Apr 2025 14:44:21 +0000

aquamarine (0.7.2-1) unstable; urgency=medium

  * Update to latest upstream version.
  * Initial release. (Closes: #1082574)

 -- Carl Keinath <carl.keinath@gmail.com>  Fri, 07 Mar 2025 17:58:09 +0100
