=== debian/control ===
Source: aquamarine
Section: libs
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Alan M Varghese (NyxTrail) <alan@digistorm.in>,
 Carl Keinath <carl.keinath@gmail.com>,
 Chow Loong Jin <hyperair@debian.org>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 hwdata,
 hyprwayland-scanner (>= 0.4.5),
 libdisplay-info-dev,
 libdrm-dev,
 libegl-dev,
 libegl1-mesa-dev,
 libgbm-dev,
 libgles-dev,
 libhyprutils-dev (>= 0.8.0),
 libinput-dev (>= 1.26.0),
 libpixman-1-dev,
 libseat-dev (>= 0.8.0),
 libudev-dev,
 libwayland-dev,
 pkgconf,
 wayland-protocols
Standards-Version: 4.7.2
Homepage: https://wiki.hyprland.org/Hypr-Ecosystem/aquamarine/
Vcs-Browser: https://salsa.debian.org/hyprland-team/aquamarine
Vcs-Git: https://salsa.debian.org/hyprland-team/aquamarine.git

Package: libaquamarine-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libaquamarine8 (= ${binary:Version}),
 ${misc:Depends},
Description: Light-weight rendering library for Linux (development files)
 Aquamarine is a very light linux rendering backend library.
 It provides basic abstractions for an application to render on a
 Wayland session (in a window) or a native DRM session.
 .
 It is agnostic of the rendering API (Vulkan/OpenGL) and designed
 to be lightweight, performant, and minimal.
 .
 Aquamarine provides no bindings for other languages. It is 
 C++-only
 .
 This package includes the development files for aquamarine.

Package: libaquamarine8
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Light-weight rendering library for Linux (binary files)
 Aquamarine is a very light linux rendering backend library.
 It provides basic abstractions for an application to render on a
 Wayland session (in a window) or a native DRM session.
 .
 It is agnostic of the rendering API (Vulkan/OpenGL) and designed
 to be lightweight, performant, and minimal.
 .
 Aquamarine provides no bindings for other languages. It is 
 C++-only
 .
 This package includes the binaries for the aquamarine library.
