=== debian/changelog ===
aquamarine (0.10.0-2) unstable; urgency=medium

  * Reuplaod to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 16 Dec 2025 23:39:41 +0800

aquamarine (0.10.0-1) experimental; urgency=medium

  * New upstream version 0.10.0
  * Rename binary package for soname bump
  * d/control: Bump libhyprutils-dev build-dep version

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 01 Dec 2025 19:03:52 +0800
