=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libegl1-mesa-dev,
  libgbm-dev,
  libgles-dev,
- libhyprutils-dev (>= 0.8.0),
+ libhyprutils-dev (>= 0.10.4),
  libinput-dev (>= 1.26.0),
  libpixman-1-dev,
  libseat-dev (>= 0.8.0),
@@ -36,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libaquamarine8 (= ${binary:Version}),
+ libaquamarine9 (= ${binary:Version}),
  ${misc:Depends},
 Description: Light-weight rendering library for Linux (development files)
  Aquamarine is a very light linux rendering backend library.
@@ -51,7 +51,7 @@
  .
  This package includes the development files for aquamarine.
 
-Package: libaquamarine8
+Package: libaquamarine9
 Architecture: any
 Multi-Arch: same
 Depends:
